package com.mortals.xhx.base.system.resource.model;

import java.util.List;

/**
* 资源信息业务查询对象
*
* @author zxfei
* @date 2024-09-06
*/
public class ResourceQuery extends ResourceEntity {
    /** 开始 菜单ID，主键，自增长 */
    private Long idStart;

    /** 结束 菜单ID，主键，自增长 */
    private Long idEnd;

    /** 增加 菜单ID，主键，自增长 */
    private Long idIncrement;

    /** 菜单ID，主键，自增长列表 */
    private List <Long> idList;

    /** 菜单ID，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 名称 */
    private List<String> nameList;

    /** 名称排除列表 */
    private List <String> nameNotList;
    /** 分组名称 */
    private List<String> groupNameList;

    /** 分组名称排除列表 */
    private List <String> groupNameNotList;
    /** 连接地址，多个地址以逗号分隔 */
    private List<String> urlList;

    /** 连接地址，多个地址以逗号分隔排除列表 */
    private List <String> urlNotList;
    /** 开始 权限类型 (0.无限制，1.无需登录查看，2.需要登录查看，3.需要角色权限查看) */
    private Integer authTypeStart;

    /** 结束 权限类型 (0.无限制，1.无需登录查看，2.需要登录查看，3.需要角色权限查看) */
    private Integer authTypeEnd;

    /** 增加 权限类型 (0.无限制，1.无需登录查看，2.需要登录查看，3.需要角色权限查看) */
    private Integer authTypeIncrement;

    /** 权限类型 (0.无限制，1.无需登录查看，2.需要登录查看，3.需要角色权限查看)列表 */
    private List <Integer> authTypeList;

    /** 权限类型 (0.无限制，1.无需登录查看，2.需要登录查看，3.需要角色权限查看)排除列表 */
    private List <Integer> authTypeNotList;

    /** 开始 资源类型，(0.系统资源，1.开放资源) */
    private Integer sourceTypeStart;

    /** 结束 资源类型，(0.系统资源，1.开放资源) */
    private Integer sourceTypeEnd;

    /** 增加 资源类型，(0.系统资源，1.开放资源) */
    private Integer sourceTypeIncrement;

    /** 资源类型，(0.系统资源，1.开放资源)列表 */
    private List <Integer> sourceTypeList;

    /** 资源类型，(0.系统资源，1.开放资源)排除列表 */
    private List <Integer> sourceTypeNotList;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 创建用户名称 */
    private List<String> createUserNameList;

    /** 创建用户名称排除列表 */
    private List <String> createUserNameNotList;
    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 创建用户名称 */
    private List<String> updateUserNameList;

    /** 创建用户名称排除列表 */
    private List <String> updateUserNameNotList;
    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<ResourceQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<ResourceQuery> andConditionList;

    public ResourceQuery(){}

    /**
    * 获取 开始 菜单ID，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 菜单ID，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 菜单ID，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 菜单ID，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 菜单ID，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 菜单ID，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 菜单ID，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 菜单ID，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 菜单ID，主键，自增长
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 菜单ID，主键，自增长
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 名称
    * @return nameList
    */
    public List<String> getNameList(){
        return this.nameList;
    }

    /**
    * 设置 名称
    * @param nameList
    */
    public void setNameList(List<String> nameList){
        this.nameList = nameList;
    }

    /**
    * 获取 名称
    * @return nameNotList
    */
    public List<String> getNameNotList(){
        return this.nameNotList;
    }

    /**
    * 设置 名称
    * @param nameNotList
    */
    public void setNameNotList(List<String> nameNotList){
        this.nameNotList = nameNotList;
    }

    /**
    * 获取 分组名称
    * @return groupNameList
    */
    public List<String> getGroupNameList(){
        return this.groupNameList;
    }

    /**
    * 设置 分组名称
    * @param groupNameList
    */
    public void setGroupNameList(List<String> groupNameList){
        this.groupNameList = groupNameList;
    }

    /**
    * 获取 分组名称
    * @return groupNameNotList
    */
    public List<String> getGroupNameNotList(){
        return this.groupNameNotList;
    }

    /**
    * 设置 分组名称
    * @param groupNameNotList
    */
    public void setGroupNameNotList(List<String> groupNameNotList){
        this.groupNameNotList = groupNameNotList;
    }

    /**
    * 获取 连接地址，多个地址以逗号分隔
    * @return urlList
    */
    public List<String> getUrlList(){
        return this.urlList;
    }

    /**
    * 设置 连接地址，多个地址以逗号分隔
    * @param urlList
    */
    public void setUrlList(List<String> urlList){
        this.urlList = urlList;
    }

    /**
    * 获取 连接地址，多个地址以逗号分隔
    * @return urlNotList
    */
    public List<String> getUrlNotList(){
        return this.urlNotList;
    }

    /**
    * 设置 连接地址，多个地址以逗号分隔
    * @param urlNotList
    */
    public void setUrlNotList(List<String> urlNotList){
        this.urlNotList = urlNotList;
    }

    /**
    * 获取 开始 权限类型 (0.无限制，1.无需登录查看，2.需要登录查看，3.需要角色权限查看)
    * @return authTypeStart
    */
    public Integer getAuthTypeStart(){
        return this.authTypeStart;
    }

    /**
    * 设置 开始 权限类型 (0.无限制，1.无需登录查看，2.需要登录查看，3.需要角色权限查看)
    * @param authTypeStart
    */
    public void setAuthTypeStart(Integer authTypeStart){
        this.authTypeStart = authTypeStart;
    }

    /**
    * 获取 结束 权限类型 (0.无限制，1.无需登录查看，2.需要登录查看，3.需要角色权限查看)
    * @return $authTypeEnd
    */
    public Integer getAuthTypeEnd(){
        return this.authTypeEnd;
    }

    /**
    * 设置 结束 权限类型 (0.无限制，1.无需登录查看，2.需要登录查看，3.需要角色权限查看)
    * @param authTypeEnd
    */
    public void setAuthTypeEnd(Integer authTypeEnd){
        this.authTypeEnd = authTypeEnd;
    }

    /**
    * 获取 增加 权限类型 (0.无限制，1.无需登录查看，2.需要登录查看，3.需要角色权限查看)
    * @return authTypeIncrement
    */
    public Integer getAuthTypeIncrement(){
        return this.authTypeIncrement;
    }

    /**
    * 设置 增加 权限类型 (0.无限制，1.无需登录查看，2.需要登录查看，3.需要角色权限查看)
    * @param authTypeIncrement
    */
    public void setAuthTypeIncrement(Integer authTypeIncrement){
        this.authTypeIncrement = authTypeIncrement;
    }

    /**
    * 获取 权限类型 (0.无限制，1.无需登录查看，2.需要登录查看，3.需要角色权限查看)
    * @return authTypeList
    */
    public List<Integer> getAuthTypeList(){
        return this.authTypeList;
    }

    /**
    * 设置 权限类型 (0.无限制，1.无需登录查看，2.需要登录查看，3.需要角色权限查看)
    * @param authTypeList
    */
    public void setAuthTypeList(List<Integer> authTypeList){
        this.authTypeList = authTypeList;
    }

    /**
    * 获取 权限类型 (0.无限制，1.无需登录查看，2.需要登录查看，3.需要角色权限查看)
    * @return authTypeNotList
    */
    public List<Integer> getAuthTypeNotList(){
        return this.authTypeNotList;
    }

    /**
    * 设置 权限类型 (0.无限制，1.无需登录查看，2.需要登录查看，3.需要角色权限查看)
    * @param authTypeNotList
    */
    public void setAuthTypeNotList(List<Integer> authTypeNotList){
        this.authTypeNotList = authTypeNotList;
    }


    /**
    * 获取 开始 资源类型，(0.系统资源，1.开放资源)
    * @return sourceTypeStart
    */
    public Integer getSourceTypeStart(){
        return this.sourceTypeStart;
    }

    /**
    * 设置 开始 资源类型，(0.系统资源，1.开放资源)
    * @param sourceTypeStart
    */
    public void setSourceTypeStart(Integer sourceTypeStart){
        this.sourceTypeStart = sourceTypeStart;
    }

    /**
    * 获取 结束 资源类型，(0.系统资源，1.开放资源)
    * @return $sourceTypeEnd
    */
    public Integer getSourceTypeEnd(){
        return this.sourceTypeEnd;
    }

    /**
    * 设置 结束 资源类型，(0.系统资源，1.开放资源)
    * @param sourceTypeEnd
    */
    public void setSourceTypeEnd(Integer sourceTypeEnd){
        this.sourceTypeEnd = sourceTypeEnd;
    }

    /**
    * 获取 增加 资源类型，(0.系统资源，1.开放资源)
    * @return sourceTypeIncrement
    */
    public Integer getSourceTypeIncrement(){
        return this.sourceTypeIncrement;
    }

    /**
    * 设置 增加 资源类型，(0.系统资源，1.开放资源)
    * @param sourceTypeIncrement
    */
    public void setSourceTypeIncrement(Integer sourceTypeIncrement){
        this.sourceTypeIncrement = sourceTypeIncrement;
    }

    /**
    * 获取 资源类型，(0.系统资源，1.开放资源)
    * @return sourceTypeList
    */
    public List<Integer> getSourceTypeList(){
        return this.sourceTypeList;
    }

    /**
    * 设置 资源类型，(0.系统资源，1.开放资源)
    * @param sourceTypeList
    */
    public void setSourceTypeList(List<Integer> sourceTypeList){
        this.sourceTypeList = sourceTypeList;
    }

    /**
    * 获取 资源类型，(0.系统资源，1.开放资源)
    * @return sourceTypeNotList
    */
    public List<Integer> getSourceTypeNotList(){
        return this.sourceTypeNotList;
    }

    /**
    * 设置 资源类型，(0.系统资源，1.开放资源)
    * @param sourceTypeNotList
    */
    public void setSourceTypeNotList(List<Integer> sourceTypeNotList){
        this.sourceTypeNotList = sourceTypeNotList;
    }


    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建用户
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 创建用户名称
    * @return createUserNameList
    */
    public List<String> getCreateUserNameList(){
        return this.createUserNameList;
    }

    /**
    * 设置 创建用户名称
    * @param createUserNameList
    */
    public void setCreateUserNameList(List<String> createUserNameList){
        this.createUserNameList = createUserNameList;
    }

    /**
    * 获取 创建用户名称
    * @return createUserNameNotList
    */
    public List<String> getCreateUserNameNotList(){
        return this.createUserNameNotList;
    }

    /**
    * 设置 创建用户名称
    * @param createUserNameNotList
    */
    public void setCreateUserNameNotList(List<String> createUserNameNotList){
        this.createUserNameNotList = createUserNameNotList;
    }

    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新用户
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 更新用户
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 更新用户
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdNotList
    */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdNotList
    */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
    * 获取 创建用户名称
    * @return updateUserNameList
    */
    public List<String> getUpdateUserNameList(){
        return this.updateUserNameList;
    }

    /**
    * 设置 创建用户名称
    * @param updateUserNameList
    */
    public void setUpdateUserNameList(List<String> updateUserNameList){
        this.updateUserNameList = updateUserNameList;
    }

    /**
    * 获取 创建用户名称
    * @return updateUserNameNotList
    */
    public List<String> getUpdateUserNameNotList(){
        return this.updateUserNameNotList;
    }

    /**
    * 设置 创建用户名称
    * @param updateUserNameNotList
    */
    public void setUpdateUserNameNotList(List<String> updateUserNameNotList){
        this.updateUserNameNotList = updateUserNameNotList;
    }

    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  菜单ID，主键，自增长
    * @param id
    */
    public ResourceQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 菜单ID，主键，自增长
    * @param idStart
    */
    public ResourceQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 菜单ID，主键，自增长
    * @param idEnd
    */
    public ResourceQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 菜单ID，主键，自增长
    * @param idIncrement
    */
    public ResourceQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 菜单ID，主键，自增长
    * @param idList
    */
    public ResourceQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 菜单ID，主键，自增长
        * @param idNotList
        */
        public ResourceQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }


	/**
    * 设置 名称
    * @param name
    */
    public ResourceQuery name(String name){
        setName(name);
		return this;
    }

    /**
    * 设置 名称
    * @param nameList
    */
    public ResourceQuery nameList(List<String> nameList){
        this.nameList = nameList;
		return this;
    }


	/**
    * 设置 分组名称
    * @param groupName
    */
    public ResourceQuery groupName(String groupName){
        setGroupName(groupName);
		return this;
    }

    /**
    * 设置 分组名称
    * @param groupNameList
    */
    public ResourceQuery groupNameList(List<String> groupNameList){
        this.groupNameList = groupNameList;
		return this;
    }


	/**
    * 设置 连接地址，多个地址以逗号分隔
    * @param url
    */
    public ResourceQuery url(String url){
        setUrl(url);
		return this;
    }

    /**
    * 设置 连接地址，多个地址以逗号分隔
    * @param urlList
    */
    public ResourceQuery urlList(List<String> urlList){
        this.urlList = urlList;
		return this;
    }

    /**
    * 设置  权限类型 (0.无限制，1.无需登录查看，2.需要登录查看，3.需要角色权限查看)
    * @param authType
    */
    public ResourceQuery authType(Integer authType){
	    setAuthType(authType);
		return this;
    }
	
	 /**
    * 设置 开始 权限类型 (0.无限制，1.无需登录查看，2.需要登录查看，3.需要角色权限查看)
    * @param authTypeStart
    */
    public ResourceQuery authTypeStart(Integer authTypeStart){
		this.authTypeStart = authTypeStart;
		return this;
    }

    /**
    * 设置 结束 权限类型 (0.无限制，1.无需登录查看，2.需要登录查看，3.需要角色权限查看)
    * @param authTypeEnd
    */
    public ResourceQuery authTypeEnd(Integer authTypeEnd){
		this.authTypeEnd = authTypeEnd;
		return this;
    }

    /**
    * 设置 增加 权限类型 (0.无限制，1.无需登录查看，2.需要登录查看，3.需要角色权限查看)
    * @param authTypeIncrement
    */
    public ResourceQuery authTypeIncrement(Integer authTypeIncrement){
		this.authTypeIncrement = authTypeIncrement;
		return this;
    }

    /**
    * 设置 权限类型 (0.无限制，1.无需登录查看，2.需要登录查看，3.需要角色权限查看)
    * @param authTypeList
    */
    public ResourceQuery authTypeList(List<Integer> authTypeList){
        this.authTypeList = authTypeList;
		return this;
        }

        /**
        * 设置 权限类型 (0.无限制，1.无需登录查看，2.需要登录查看，3.需要角色权限查看)
        * @param authTypeNotList
        */
        public ResourceQuery authTypeNotList(List<Integer> authTypeNotList){
        this.authTypeNotList = authTypeNotList;
        return this;
        }

    /**
    * 设置  资源类型，(0.系统资源，1.开放资源)
    * @param sourceType
    */
    public ResourceQuery sourceType(Integer sourceType){
	    setSourceType(sourceType);
		return this;
    }
	
	 /**
    * 设置 开始 资源类型，(0.系统资源，1.开放资源)
    * @param sourceTypeStart
    */
    public ResourceQuery sourceTypeStart(Integer sourceTypeStart){
		this.sourceTypeStart = sourceTypeStart;
		return this;
    }

    /**
    * 设置 结束 资源类型，(0.系统资源，1.开放资源)
    * @param sourceTypeEnd
    */
    public ResourceQuery sourceTypeEnd(Integer sourceTypeEnd){
		this.sourceTypeEnd = sourceTypeEnd;
		return this;
    }

    /**
    * 设置 增加 资源类型，(0.系统资源，1.开放资源)
    * @param sourceTypeIncrement
    */
    public ResourceQuery sourceTypeIncrement(Integer sourceTypeIncrement){
		this.sourceTypeIncrement = sourceTypeIncrement;
		return this;
    }

    /**
    * 设置 资源类型，(0.系统资源，1.开放资源)
    * @param sourceTypeList
    */
    public ResourceQuery sourceTypeList(List<Integer> sourceTypeList){
        this.sourceTypeList = sourceTypeList;
		return this;
        }

        /**
        * 设置 资源类型，(0.系统资源，1.开放资源)
        * @param sourceTypeNotList
        */
        public ResourceQuery sourceTypeNotList(List<Integer> sourceTypeNotList){
        this.sourceTypeNotList = sourceTypeNotList;
        return this;
        }

    /**
    * 设置  创建用户
    * @param createUserId
    */
    public ResourceQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public ResourceQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public ResourceQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public ResourceQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public ResourceQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param createUserIdNotList
        */
        public ResourceQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }


	/**
    * 设置 创建用户名称
    * @param createUserName
    */
    public ResourceQuery createUserName(String createUserName){
        setCreateUserName(createUserName);
		return this;
    }

    /**
    * 设置 创建用户名称
    * @param createUserNameList
    */
    public ResourceQuery createUserNameList(List<String> createUserNameList){
        this.createUserNameList = createUserNameList;
		return this;
    }


    /**
    * 设置  更新用户
    * @param updateUserId
    */
    public ResourceQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public ResourceQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public ResourceQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public ResourceQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public ResourceQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }

        /**
        * 设置 更新用户
        * @param updateUserIdNotList
        */
        public ResourceQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
        }


	/**
    * 设置 创建用户名称
    * @param updateUserName
    */
    public ResourceQuery updateUserName(String updateUserName){
        setUpdateUserName(updateUserName);
		return this;
    }

    /**
    * 设置 创建用户名称
    * @param updateUserNameList
    */
    public ResourceQuery updateUserNameList(List<String> updateUserNameList){
        this.updateUserNameList = updateUserNameList;
		return this;
    }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<ResourceQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<ResourceQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<ResourceQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<ResourceQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}